Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.reporting
[Java] Class ReportingExtension

    java.lang.Object
      org.gradle.api.reporting.ReportingExtension

    public class ReportingExtension

A project extension named "reporting" that provides basic reporting settings and utilities.

Example usage:

     reporting {
         baseDir "$buildDir/our-reports"
     }

When implementing a task that produces reports, the location of where to generate reports should be obtained via the file(String) method of this extension.

Field Summary
`static String` | `DEFAULT_REPORTS_DIR_NAME` The default name of the base directory for all reports, relative to Project.getBuildDir ({@value}).
`static String` | `NAME` The name of this extension ("{@value}")

Constructor Summary
`ReportingExtension(Project project)`

Method Summary
`File` | `file(String path)` Creates a file object for the given path, relative to getBaseDir().
`String` | `getApiDocTitle()`
`File` | `getBaseDir()` The base directory for all reports
`void` | `setBaseDir(Object baseDir)` Sets the base directory to use for all reports

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEFAULT_REPORTS_DIR_NAME

    public static final String DEFAULT_REPORTS_DIR_NAME

  The default name of the base directory for all reports, relative to Project.getBuildDir ({@value}).

### NAME

    public static final String NAME

  The name of this extension ("{@value}")

Constructor Detail

### ReportingExtension

    public ReportingExtension(Project project)

Method Detail

### file

    public File file(String path)

  Creates a file object for the given path, relative to getBaseDir().

  The reporting base dir can be changed, so users of this method should use it on demand where appropriate.

  Parameters:
    `path` - the relative path
  Returns:
    a file object at the given path relative to getBaseDir()

### getApiDocTitle

    public String getApiDocTitle()

### getBaseDir

    public File getBaseDir()

  The base directory for all reports

  This value can be changed, so any files derived from this should be calculated on demand.

  Returns:
    The base directory for all reports

### setBaseDir

    public void setBaseDir(Object baseDir)

  Sets the base directory to use for all reports

  The value will be converted to a `File` on demand via Project#file(Object)#file(Object).

  Parameters:
    `baseDir` - The base directory to use for all reports

Gradle API 1.10